Loading...
Searching...
No Matches
seqan3::alignment_result< alignment_result_value_t > Class Template Reference
Sequence Alignment » Pairwise Alignments

Stores the alignment results and gives access to score, alignment and the front and end positions. More...

`#include <seqan3/alignment/pairwise/alignment_result.hpp>`

## Public Member Functions

Access functions
Functions to access elements of the alignment result type.
constexpr sequence1_id_t | sequence1_id () const noexcept
| Returns the alignment identifier of the first sequence.
constexpr sequence2_id_t | sequence2_id () const noexcept
| Returns the alignment identifier of the second sequence.
constexpr score_t | score () const noexcept
| Returns the alignment score.
constexpr auto | sequence1_end_position () const noexcept
| Returns the end position of the first sequence of the alignment.
constexpr auto | sequence2_end_position () const noexcept
| Returns the end position of the second sequence of the alignment.
constexpr auto | sequence1_begin_position () const noexcept
| Returns the begin position of the first sequence of the alignment.
constexpr auto | sequence2_begin_position () const noexcept
| Returns the begin position of the second sequence of the alignment.
constexpr alignment_t const & | alignment () const noexcept
| Returns the actual alignment, i.e. the base pair matching.

## Friends

template<typename>
struct | alignment_result_printer
template<typename configuration_t>
class | detail::policy_alignment_result_builder
| Befriend alignment result builder.

## Constructors, destructor and assignment

| alignment_result ()=default
| Defaulted.
| alignment_result (alignment_result const &)=default
| Defaulted.
| alignment_result (alignment_result &&)=default
| Defaulted.
alignment_result & | operator= (alignment_result const &)=default
| Defaulted.
alignment_result & | operator= (alignment_result &&)=default
| Defaulted.
| ~alignment_result ()=default
| Defaulted.

## Detailed Description

template<typename alignment_result_value_t>
requires detail::is_type_specialisation_of_v<alignment_result_value_t, detail::alignment_result_value_type>
class seqan3::alignment_result< alignment_result_value_t >

Stores the alignment results and gives access to score, alignment and the front and end positions.

Template Parameters

  alignment_result_value_t | The underlying value type containing the information from the alignment computation.

This class provides read-only access to the results of a pairwise alignment computation. It always contains an alignment identifier and the resulting score. Optionally – if the user requests – also the begin and end positions within the sequences and the alignment can be calculated. When accessing a field that has not been calculated, an assertion will fail during compilation.

Remarks
  The template type argument is set internally by a result factory and depends on the configuration of the alignment result. For the general use of this class the concrete type information is not relevant and it suffices to know that this is a template class with one template type argument.

## Member Function Documentation

## alignment()

template<typename alignment_result_value_t>

alignment_t const & seqan3::alignment_result< alignment_result_value_t >::alignment | ( |  | ) | const

inline constexpr noexcept

Returns the actual alignment, i.e. the base pair matching.

Returns
  At least two aligned sequences, which represent the alignment.

Note
  This function is only available if the alignment was requested via the alignment configuration (see seqan3::align_cfg::output_alignment).

## score()

template<typename alignment_result_value_t>

score_t seqan3::alignment_result< alignment_result_value_t >::score | ( |  | ) | const

inline constexpr noexcept

Returns the alignment score.

Returns
  The score field.

## sequence1_begin_position()

template<typename alignment_result_value_t>

auto seqan3::alignment_result< alignment_result_value_t >::sequence1_begin_position | ( |  | ) | const

inline constexpr noexcept

Returns the begin position of the first sequence of the alignment.

Returns
  The calculated alignment begin of sequence 1 (inclusive).

The return type is size_t.

Guaranteed to be smaller than or equal to sequence1_end_position().

Note
  This function is only available if the begin position of the first sequence was requested via the alignment configuration (see seqan3::align_cfg::output_begin_position).

## sequence1_end_position()

template<typename alignment_result_value_t>

auto seqan3::alignment_result< alignment_result_value_t >::sequence1_end_position | ( |  | ) | const

inline constexpr noexcept

Returns the end position of the first sequence of the alignment.

Returns
  The calculated alignment end of sequence 1 (exclusive).

The return type is size_t.

Note
  This function is only available if the end position of the first sequence was requested via the alignment configuration (see seqan3::align_cfg::output_end_position).

## sequence1_id()

template<typename alignment_result_value_t>

sequence1_id_t seqan3::alignment_result< alignment_result_value_t >::sequence1_id | ( |  | ) | const

inline constexpr noexcept

Returns the alignment identifier of the first sequence.

Returns
  The id of the first sequence.

## sequence2_begin_position()

template<typename alignment_result_value_t>

auto seqan3::alignment_result< alignment_result_value_t >::sequence2_begin_position | ( |  | ) | const

inline constexpr noexcept

Returns the begin position of the second sequence of the alignment.

Returns
  The calculated alignment begin of sequence 2 (inclusive).

The return type is size_t.

Guaranteed to be smaller than or equal to sequence2_end_position().

Note
  This function is only available if the begin position of the second sequence was requested via the alignment configuration (see seqan3::align_cfg::output_begin_position).

## sequence2_end_position()

template<typename alignment_result_value_t>

auto seqan3::alignment_result< alignment_result_value_t >::sequence2_end_position | ( |  | ) | const

inline constexpr noexcept

Returns the end position of the second sequence of the alignment.

Returns
  The calculated alignment end of sequence 2 (exclusive).

The return type is size_t.

Note
  This function is only available if the end position of the second sequence was requested via the alignment configuration (see seqan3::align_cfg::output_end_position).

## sequence2_id()

template<typename alignment_result_value_t>

sequence2_id_t seqan3::alignment_result< alignment_result_value_t >::sequence2_id | ( |  | ) | const

inline constexpr noexcept

Returns the alignment identifier of the second sequence.

Returns
  The id of the second sequence.

The documentation for this class was generated from the following file:

- alignment_result.hpp

Hide me